### Function

# Ide Object notify_in_main

#### Declaration

    void
    ide_object_notify_in_main (
      GObject* instance,
      GParamSpec* pspec
    )

#### Description

This helper will perform a `g_object_notify_by_pspec()` with the added requirement that it is run from the applications main thread.

You may want to do this when modifying state from a thread, but only notify from the Gtk+ thread.

This will always return to the default main context, and never emit ::notify immediately.

Available since: | 3.32

#### Parameters

`instance` | `GObject`
| A `GObject`.
| The data is owned by the caller of the function.
`pspec` | `GParamSpec`
| A `GParamSpec`.
| The data is owned by the caller of the function.